import service from '@/utils/request'
const api = {
  // 教师
  getTeacherList : data => {
    return service({
      url: '/teacher',
      method: 'get',
      params:data
    })
  },
  getTeacherDetail : data => {
    return service({
      url: '/teacher/'+data.id,
      method: 'get'
    })
  },
  teacherOperator : data => {// 审核提交
    return service({
      url: '/teacher/change',
      method: 'post',
      data
    })
  },
  getAssistantList : data => { // 助教列表
    return service({
      url: '/assistant',
      method: 'get',
      params:data
    })
  },
  assistantOperator : data => {// 审核提交-助教
    return service({
      url: '/assistant/change',
      method: 'post',
      data
    })
  },
}
export default api
